<?php
/**
 * O3Spaces Workplace Plugin - Workspace selector
 *
 */

class WorkspaceModule extends Module 
{
    /**
     * Constructor
     * @param int $id unique id.
     * @param array $data list of all actions.
     */
    function WorkspaceModule($id, $data) {
        $this->properties = Array();
        $this->sort = array();
        parent::Module($id, $data);
    }

    /**
     * Executes all the actions
     * Triggers a hook to be processed in plugin.o3spaces.php
     * 
     * @return boolean true 
     */
    function execute() {
        $GLOBALS['PluginManager']->triggerHook("server.plugin.workspacemodule.execute", array('moduleObject' =>& $this));
        return true;
    }
}
?>
