<?php

abstract class BaseFilter {

	public function filter( &$entries ) {
		$filtered = array();

		foreach ($entries as $file) {
			if ($this->test($file)) {
				$filtered[] = $file;
			}
		}

		return $filtered;

	}

	protected abstract function test( &$item );
};

class FolderFilter extends BaseFilter {

	public function test( &$item ) {
		return ($item["type"] == "dir");
	}

}


?>
