<?

// Pre PHP 5.2.1 workaround
if ( !function_exists('sys_get_temp_dir')) {
	function sys_get_temp_dir() {
		if (!empty($_ENV['TMP']))    { return realpath( $_ENV['TMP']); }
		if (!empty($_ENV['TMPDIR'])) { return realpath( $_ENV['TMPDIR']); }
		if (!empty($_ENV['TEMP']))   { return realpath( $_ENV['TEMP']); }
		$tempfile = tempnam(uniqid(rand(),TRUE),'');
		if (file_exists($tempfile)) {
			unlink($tempfile);
			return realpath(dirname($tempfile));
		}
	}
}


class Utils {

	public function escapeDirectoryParts( $path ) {
		$parts  = split("/", $path);
		$result = array();
		foreach ($parts as $part) {
			$result[] = rawurlencode($part);
		}
		return join("/", $result);
	}

	public function urlAppendPath( $path1, $path2 ) {
		$newPath = rtrim($path1,"/");
		$newPath .= "/" . ltrim($path2,"/");
		return $newPath;
	}

	public function getDirSeparator() {
		 return stristr(PHP_OS, 'WIN') ? "\\" : "/";
	}

}

?>
